package v1

import (
	"github.com/labstack/echo"
	"net/http"
	"git.mowie.cc/konrad/Library/models"
)

func AuthorsList(c echo.Context) error {

	list, err := models.ListAuthors("")

	if err != nil{
		return c.JSON(http.StatusInternalServerError, models.Message{"Error getting authors"})
	}

	return c.JSON(http.StatusOK, list)
}